org.apache.calcite.avatica.proto

## Class Common

- java.lang.Object
- - org.apache.calcite.avatica.proto.Common

    public final class Common
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Common.AvaticaParameter` Metadata for a parameter
`static interface` `Common.AvaticaParameterOrBuilder`
`static class` `Common.AvaticaType` Base class for a column type
`static interface` `Common.AvaticaTypeOrBuilder`
`static class` `Common.ColumnMetaData` Protobuf type `ColumnMetaData`
`static interface` `Common.ColumnMetaDataOrBuilder`
`static class` `Common.ColumnValue` A value might be a TypedValue or an Array of TypedValue's
`static interface` `Common.ColumnValueOrBuilder`
`static class` `Common.ConnectionProperties` Details about a connection
`static interface` `Common.ConnectionPropertiesOrBuilder`
`static class` `Common.CursorFactory` Information necessary to convert an Iterable into a Calcite Cursor
`static interface` `Common.CursorFactoryOrBuilder`
`static class` `Common.DatabaseProperty` Database property, list of functions the database provides for a certain operation
`static interface` `Common.DatabasePropertyOrBuilder`
`static class` `Common.Frame` A collection of rows
`static interface` `Common.FrameOrBuilder`
`static class` `Common.MetaDataOperation` Enumeration corresponding to DatabaseMetaData operations
`static class` `Common.MetaDataOperationArgument` Represents the breadth of arguments to DatabaseMetaData functions
`static interface` `Common.MetaDataOperationArgumentOrBuilder`
`static class` `Common.QueryState` Protobuf type `QueryState`
`static interface` `Common.QueryStateOrBuilder`
`static class` `Common.Rep` Protobuf enum `Rep`
`static class` `Common.Row` A row is a collection of values
`static interface` `Common.RowOrBuilder`
`static class` `Common.Severity` The severity of some unexpected outcome to an operation.
`static class` `Common.Signature` Results of preparing a statement
`static interface` `Common.SignatureOrBuilder`
`static class` `Common.StatementHandle` Statement handle
`static interface` `Common.StatementHandleOrBuilder`
`static class` `Common.StatementType` Has to be consistent with Meta.StatementType
`static class` `Common.StateType` Protobuf enum `StateType`
`static class` `Common.TypedValue` Generic wrapper to support any SQL type.
`static interface` `Common.TypedValueOrBuilder`
`static class` `Common.WireMessage` Message which encapsulates another message to support a single RPC endpoint
`static interface` `Common.WireMessageOrBuilder`

### Field Summary

Fields
`private static com.google.protobuf.Descriptors.FileDescriptor` `descriptor`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_AvaticaParameter_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_AvaticaParameter_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_AvaticaType_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_AvaticaType_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ColumnMetaData_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ColumnMetaData_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ColumnValue_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ColumnValue_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_ConnectionProperties_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_ConnectionProperties_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_CursorFactory_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_CursorFactory_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_DatabaseProperty_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_DatabaseProperty_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_Frame_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_Frame_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_MetaDataOperationArgument_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_MetaDataOperationArgument_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_QueryState_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_QueryState_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_Row_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_Row_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_Signature_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_Signature_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_StatementHandle_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_StatementHandle_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_TypedValue_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_TypedValue_fieldAccessorTable`
`private static com.google.protobuf.Descriptors.Descriptor` `internal_static_WireMessage_descriptor`
`private static com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internal_static_WireMessage_fieldAccessorTable`

### Constructor Summary

Constructors
`private` `Common()`

### Method Summary

Methods
`static com.google.protobuf.Descriptors.FileDescriptor` `getDescriptor()`
`static void` `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`
`static void` `registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### internal_static_ConnectionProperties_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ConnectionProperties_descriptor

#### internal_static_ConnectionProperties_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ConnectionProperties_fieldAccessorTable

#### internal_static_StatementHandle_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_StatementHandle_descriptor

#### internal_static_StatementHandle_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_StatementHandle_fieldAccessorTable

#### internal_static_Signature_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_Signature_descriptor

#### internal_static_Signature_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_Signature_fieldAccessorTable

#### internal_static_ColumnMetaData_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ColumnMetaData_descriptor

#### internal_static_ColumnMetaData_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ColumnMetaData_fieldAccessorTable

#### internal_static_AvaticaType_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_AvaticaType_descriptor

#### internal_static_AvaticaType_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_AvaticaType_fieldAccessorTable

#### internal_static_AvaticaParameter_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_AvaticaParameter_descriptor

#### internal_static_AvaticaParameter_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_AvaticaParameter_fieldAccessorTable

#### internal_static_CursorFactory_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_CursorFactory_descriptor

#### internal_static_CursorFactory_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_CursorFactory_fieldAccessorTable

#### internal_static_Frame_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_Frame_descriptor

#### internal_static_Frame_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_Frame_fieldAccessorTable

#### internal_static_Row_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_Row_descriptor

#### internal_static_Row_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_Row_fieldAccessorTable

#### internal_static_DatabaseProperty_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_DatabaseProperty_descriptor

#### internal_static_DatabaseProperty_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_DatabaseProperty_fieldAccessorTable

#### internal_static_WireMessage_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_WireMessage_descriptor

#### internal_static_WireMessage_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_WireMessage_fieldAccessorTable

#### internal_static_ColumnValue_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_ColumnValue_descriptor

#### internal_static_ColumnValue_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_ColumnValue_fieldAccessorTable

#### internal_static_TypedValue_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_TypedValue_descriptor

#### internal_static_TypedValue_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_TypedValue_fieldAccessorTable

#### internal_static_MetaDataOperationArgument_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_MetaDataOperationArgument_descriptor

#### internal_static_MetaDataOperationArgument_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_MetaDataOperationArgument_fieldAccessorTable

#### internal_static_QueryState_descriptor

    private static final com.google.protobuf.Descriptors.Descriptor internal_static_QueryState_descriptor

#### internal_static_QueryState_fieldAccessorTable

    private static final com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internal_static_QueryState_fieldAccessorTable

#### descriptor

    private static com.google.protobuf.Descriptors.FileDescriptor descriptor

### Constructor Detail

#### Common

    private Common()

### Method Detail

#### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistryLite registry)

#### registerAllExtensions

    public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

#### getDescriptor

    public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()